---
name: hdf5-kernel-environment-py36
channels:
    # For most modules
    - conda-forge
    - defaults
dependencies:
    # Specify python verison for testing purposes
    - python==3.6.*
    # Necessary for kernel creation
    - ipykernel
    # Analysis modules
    - h5py
    # Plotting utilities
    - matplotlib
    - widgetsnbextension
    - ipywidgets
    - ipympl
    # Testing
    - pytest
    # Building
    - wheel
    # jnbv dependencies
    - papermill
    - nbformat
    - pip:
      - build
      - pdm-backend
